> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Consumer Profiles



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/consumer-profiles
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/consumer-profiles:
    get:
      tags:
        - Consumer Profiles
      summary: List Consumer Profiles
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
          required: false
          name: filter[account_uuid]
          in: query
        - schema:
            type: string
          required: false
          name: filter[is_compute_billing_enabled]
          in: query
        - schema:
            type: string
          required: false
          name: filter[uuid]
          in: query
      responses:
        '200':
          description: List of Consumer Profiles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListConsumerProfilesResponse'
components:
  schemas:
    ListConsumerProfilesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ConsumerProfileResponse'
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
      required:
        - data
        - limit
        - page
        - total
    ConsumerProfileResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        is_compute_billing_enabled:
          type: boolean
        render_user_id:
          type:
            - string
            - 'null'
        allowed_region_codes:
          type: array
          items:
            $ref: '#/components/schemas/RegionCode'
          default: []
        object:
          type: string
          enum:
            - consumer_profile
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - is_active
        - is_compute_billing_enabled
        - object
        - created_at
        - updated_at
    RegionCode:
      type:
        - string
        - 'null'
      enum:
        - ca-central-1
        - ca-west-1
        - mx-central-1
        - sa-east-1
        - us-east-1
        - us-east-2
        - us-west-1
        - us-west-2
        - eu-central-1
        - eu-central-2
        - eu-north-1
        - eu-south-1
        - eu-south-2
        - eu-west-1
        - eu-west-2
        - eu-west-3
        - ap-east-1
        - ap-east-2
        - ap-northeast-1
        - ap-northeast-2
        - ap-northeast-3
        - ap-south-1
        - ap-south-2
        - ap-southeast-1
        - ap-southeast-2
        - ap-southeast-3
        - ap-southeast-4
        - ap-southeast-5
        - ap-southeast-6
        - ap-southeast-7
        - cn-north-1
        - cn-northwest-1
        - af-south-1
        - il-central-1
        - me-central-1
        - me-south-1
        - null
      default: null
      description: Coarse geographic-network region identifier (AWS-style naming).
      example: us-west-2

````